/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.laseroptek.raman.navigation

import com.laseroptek.raman.R


object Graph {
    const val NAVIGATION_BAR_SCREEN_GRAPH = "navigationBarScreenGraph"
}

sealed class Routes(var route: String) {
    data object Splash : Routes("splash")
    data object Main : Routes("main")

    data object Home : Routes("home")
    data object Info : Routes("info")
    data object Config : Routes("config")
    data object Lock : Routes("lock")

    data object Engineer : Routes("engineer")
}

val navigationItemsLists: List<NavigationItem> = listOf(
    NavigationItem(
        title = R.string.home,
        route = Routes.Home.route,
    ),

    NavigationItem(
        title = R.string.info,
        route = Routes.Info.route,
    ),

    NavigationItem(
        title = R.string.config,
        route = Routes.Config.route,
    ),

    NavigationItem(
        title = R.string.lock,
        route = Routes.Lock.route,
    ),

    NavigationItem(
        title = R.string.engineer,
        route = Routes.Engineer.route,
        show = false,
    ),

)

enum class LockNavigation {
    Enter,
    EnterConfirm,
    Lock,
    ExitConfirm,
}